【活用ガイド】

JVNDB-2016-001581

Ruby on Rails の Action View におけるディレクトリトラバーサルの脆弱性

概要

Ruby on Rails の Action View には、ディレクトリトラバーサルの脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


Ruby on Rails project
  • Rails 3.2.22.1 未満
  • Rails 4.0.x
  • Rails 4.1.14.1 未満の 4.1.x
  • Rails 4.2.5.1 未満の 4.2.x
  • Rails 5.0.0.beta1.1 未満の 5.x

想定される影響

第三者により、レンダリングメソッドを無制限に使用するアプリケーションを利用され、.. (ドットドット) を含むパス名を提供されることで、任意のファイルを読まれる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Ruby on Rails project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. パス・トラバーサル(CWE-22) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-0752
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-0752
  2. 関連文書 : [CVE-2016-0752] Possible Information Leak Vulnerability in Action
更新履歴

[2016年03月04日]
  掲載